| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Functions | Variables
tif_win3.c File Reference
`#include "tiffiop.h"`
`#include <windows.h>`
`#include <windowsx.h>`
`#include <memory.h>`
`#include <sys/stat.h>`

Go to the source code of this file.

## Functions
TIFF * | TIFFFdOpen (int fd, const char *name, const char *mode)
TIFF * | TIFFOpen (const char *name, const char *mode)
tdata_t | _TIFFmalloc (tsize_t s)
void | _TIFFfree (tdata_t p)
tdata_t | _TIFFrealloc (tdata_t p, tsize_t s)
void | _TIFFmemset (tdata_t p, int v, tsize_t c)
void | _TIFFmemcpy (tdata_t d, const tdata_t s, tsize_t c)
int | _TIFFmemcmp (const tdata_t d, const tdata_t s, tsize_t c)

## Variables
TIFFErrorHandler | _TIFFwarningHandler = win3WarningHandler
TIFFErrorHandler | _TIFFerrorHandler = win3ErrorHandler

## Function Documentation

void _TIFFfree | ( | tdata_t | p | ) |

Definition at line 137 of file tif_win3.c.

tdata_t _TIFFmalloc | ( | tsize_t | s | ) |

Definition at line 131 of file tif_win3.c.

int _TIFFmemcmp | ( | const tdata_t | d,
|  | const tdata_t | s,
|  | tsize_t | c
| ) |  |

Definition at line 175 of file tif_win3.c.

void _TIFFmemcpy | ( | tdata_t | d,
|  | const tdata_t | s,
|  | tsize_t | c
| ) |  |

Definition at line 166 of file tif_win3.c.

void _TIFFmemset | ( | tdata_t | p,
|  | int | v,
|  | tsize_t | c
| ) |  |

Definition at line 149 of file tif_win3.c.

tdata_t _TIFFrealloc | ( | tdata_t | p,
|  | tsize_t | s
| ) |  |

Definition at line 143 of file tif_win3.c.

TIFF* TIFFFdOpen | ( | int | fd,
|  | const char * | name,
|  | const char * | mode
| ) |  |

Definition at line 87 of file tif_win3.c.

TIFF* TIFFOpen | ( | const char * | name,
|  | const char * | mode
| ) |  |

Definition at line 104 of file tif_win3.c.

## Variable Documentation

TIFFErrorHandler _TIFFerrorHandler = win3ErrorHandler

Definition at line 225 of file tif_win3.c.

TIFFErrorHandler _TIFFwarningHandler = win3WarningHandler

Definition at line 213 of file tif_win3.c.